Subject: [Vintage-race] green bugeye raced in 1967 <vintage-race.autox.team.net>

From: [email-masked]
Date: Wed, 6 Feb 2013 14:17:44 -0800

I'm looking for a green bugeye that was raced in 1967 by Mary Means out
of Grand Prix Racing.

It was car # 6 H production.

Anyone have any info on that car?

  DW
____________________________________________________________
Woman is 53 But Looks 25
53/YO Mom reveals 1 simple wrinkle trick that has angered doctors...
http://thirdpartyoffers.juno.com/TGL3141/5112d6bbb994d56bb57e1st03vuc
_______________________________________________
[email-masked]
Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/vintage-race/[email-masked]